GET
/api/v2/users/{userId}/referrals/vouchersLists assigned vouchers that can be rendered in a WL-hosted user experience.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (path) | integer (int32) | Yes |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| AssignmentId | string (uuid) | Yes | |
| VoucherId | string (uuid) | Yes | |
| Name | string | Yes | |
| Amount | unknown | Yes | |
| Currency | string | Yes | |
| Status | string | Yes | |
| Source | string | Yes | |
| ReferralCommissionId | string (uuid) | Yes | |
| AssignedAt | string (date-time) | Yes | |
| ValidUntil | string (date-time) | Yes | |
| Redemption | object | Yes |
Example request
curl -X GET "https://{base_url}/api/v2/users/{userId}/referrals/vouchers" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.